import 'dart:async';

import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';
import 'package:gengmei_flutter_plugin/ScanImagePlugn.dart';

class GengmeiFlutterPlugin {
  static const MethodChannel _channel =
      const MethodChannel('gengmei_flutter_plugin');

  static const EventChannel _eventChannel =
      const EventChannel('gengmei_flutter_plugin_event');

  static get phoneImagesEvent => _eventChannel;

  static Future<Map<String, List<ScanImageItem>>> phoneImages() async {
    return await ScanImagePlugn.scanImages(_channel);
  }

  static Future<String> nativeCamera() async {
    return await ScanImagePlugn.nativeCamera(_channel);
  }

  static Future<String> aiCamera() async {
    return await ScanImagePlugn.aiCamera(_channel);
  }
}
